Company logoTrust Center Documentation

List users

Retrieve all users belonging to the current tenant, filtered to exclude account users and API users. Browse request parameters, authentication requirements,…

Retrieve all users belonging to the current tenant, filtered to exclude account users and API users.

GET
/api/v1/users

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

search?string

Search users by name or email

role?string

Filter by user role

Value in"admin" | "account_manager" | "content_manager" | "viewer"
status?string

Filter by user status

Value in"active" | "invited" | "suspended" | "archived"

Response Body

application/json

curl -X GET "https://app.orbiqhq.com/api/v1/users?search=jane&role=account_manager&status=active"
{
  "users": [
    {
      "id": "user-123",
      "first_name": "Jane",
      "last_name": "Doe",
      "email": "jane@example.com",
      "role": {
        "name": "Administrator"
      },
      "status": "active"
    }
  ]
}
Empty
Empty
Empty

How is this guide?